#pragma once
#include "Mod.h"

class LongJump : public Mod {
public:
	int mode = 0;
	float height = 0.2f;
	float timermultiplier = 1.f;

	LongJump() : Mod(_("Long Jump"), _("Are you kirin?"), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1), new int(0), 1, {
			_("Vanilla")
			}, true });
		settings.push_back(new Setting{ _("Height"), &height, new float(1.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Timer Multiplier"), &timermultiplier, new float(2.f), new float(0.f), 2, {}, true, 15.f });

		enabled = false;
	}

private:
	bool doJump = false;

	virtual auto onWorldTick(Player* _this) -> void;
	virtual auto onEnabled() -> void;
	virtual auto onDisabled() -> void;
};
